<?php

class dadosBoleto {

        public $pdo;
        
        function __construct($database) {
            $this->pdo = $database;

        }

        public function topoBoleto($titulo) {
            $sql = $this->pdo->prepare("SELECT 
            SCOTITUL.CONTRATO,
            SCOTITUL.COMPETENCIA,
            SCOTITUL.DATA_EMISSAO AS EMISSAO,
            SCOTITUL.DATA_VCTO AS VENCIMENTO,
            SCOTITUL.FATURA,
            SCOTITUL.TITULO, 
            RTRIM(LTRIM(SGECONTA.NUM_AGENCIA)) + '/'+SGECONTA.COD_CEDENTE AS AGENC_CEDENTE,
            SGECONTA.CARTEIRA,
            SCOTITUL.NOSSO_NUMERO,
            SGEPESS.NOME AS SACADO, 
            '' AS TELEFONE,
            SCOTITUL.ENDERECO,
            SCOTITUL.BAIRRO,
            SCOTITUL.CIDADE,
            SCOTITUL.CEP,
            SCOTITUL.ESTADO,
            SGEPESS.JCNPJ AS CNPJ,
            SGEPESS.JINSC_ESTADUAL,
            SCOTITUL.DIGITAVEL,
            '' AS LOTACAO
            FROM GPSI..SCOTITUL 
            INNER JOIN GPSI..SGEPESS ON SGEPESS.ID_SGEPESS = SCOTITUL.ID_SGEPESS 
            INNER JOIN GPSI..SGECONTA ON SGECONTA.ID_SGECONTA = SCOTITUL.ID_SGECONTA
            INNER JOIN GPSI..SGEBANCO ON SGEBANCO.ID_SGEBANCO = SGECONTA.ID_SGEBANCO
            WHERE SCOTITUL.TITULO = :titulo");

            $sql->bindValue(':titulo', $titulo);
            $sql->execute();
            $topo = $sql->fetchAll();

            return $topo;

        }

        public function corpoBoleto($titulo) {
            $sql = $this->pdo->prepare("SELECT 
            COUNT(ID_SCOTITUL) AS QTD, 
            DESCICAO_ITEM, 
            (SUM(VALOR_ITEM)/COUNT(ID_SCOTITUL)) AS VALOR_UNIT, 
            SUM(VALOR_ITEM) AS VALOR_TOTAL  
            FROM GPSI..VW_FATURA_BANCOOB_153_ITEMS_7L 
            WHERE TITULO = :titulo GROUP BY DESCICAO_ITEM");

            $sql->bindValue(':titulo', $titulo);
            $sql->execute();
            $corpo = $sql->fetchAll();

            return $corpo;

        }

        public function codbarrasBoleto($titulo) {
            $sql = $this->pdo->prepare("SELECT DIGITAVEL FROM GPSI..SCOTITUL WHERE TITULO = :titulo");

            $sql->bindValue(':titulo', $titulo);
            $sql->execute();
            $codigo = $sql->fetchAll();

            return $codigo;

        }

}
?>